<?php
require '../conexao/conexao.php';
require '../sessao.php';
require '../configuacoes.php';

if (isset($_GET['id']) && $_GET['id']== '0') {
        $pageTitle = "Lançamento de Erro"; // Definir o título da página aqui
} else 
{$pageTitle = "Lançamento de Erro";}


//Declarado as variáveis que serão usadas para edição.
$produto = array(
     'id_funcionario' => '0', 
     'erro' => '',
     'data_lancamento' => '',
     'obs_erro' => '', 
     
     
    // ... outros campos que você pode ter ...
);


// Consulta SQL Situacao
$sql_situacao = "SELECT y.situacao from produtos_falta as y
group by y.situacao";

// Executando a consulta
$result_situacao = $connectionmysql->query($sql_situacao);

// Verificando se a consulta foi bem-sucedida
if ($result_situacao) {
    // Inicializando um array para armazenar os resultados
    $situacaoArray = array();

    // Fetching os resultados e armazenando no array
    while ($row3 = $result_situacao->fetch_assoc()) {
        $situacaoArray[] = $row3;
    }

   
} else {
    // Lidando com erros na execução da consulta
    echo "Erro na execução da consulta: " . $connectionmysql->error;
}

//Verificando se é alteração
if (isset($_GET['id']) && $_GET['id']== '1') {


$idfuncionario = $_GET['id_funcionario']; 

// Preparando a declaração
$stmt = $connectionmysql->prepare("SELECT f.id_funcionario, f.nome, f.cod_fcerta FROM funcionarios f where f.id_funcionario = ?");

if ($stmt) {
    // Vinculando parâmetros e executando a declaração
    $stmt->bind_param("i", $idfuncionario); // 'i' indica que é um inteiro
    $stmt->execute();

    // Obtendo os resultados
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        $funcionario = $result->fetch_assoc(); //preenchendo as variáveis com o retorno da query
 
    } else {
        echo "Nenhuma pessoa encontrada com o ID especificado.";
    }

    $stmt->close();
} else {
    echo "Erro ao preparar a declaração: " . $connectionmysql->error;
}
}
?>

<!DOCTYPE html>
<html lang="pt-br">
<?php 

        include('../geral/header.php'); 
        ?>
    <body>

     <!-- Navigation Bar-->
              <?php 
         include('../geral/menu.php'); 
        ?>
        <!-- End Navigation Bar-->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

       <div class="wrapper">
    <div class="container-fluid">

        <div class="card-box mt-3">
            <div class="row">
                <div class="col-6 text-left">
                    <h4 class="page-title"><?php echo $pageTitle ?></h4>
                </div>

                <div class="col-6 text-right">
                    <button onclick="goBack()" class="btn btn-light"><i class="mdi mdi-keyboard-backspace"></i> Voltar</button>
                </div>

                <div class="col-12">
                    <hr>
                </div>

                <div class="col-12">
                    <form method="post" action="processa_erro.php" onsubmit="return validarFormulario();">
                        <div class="form-row mb-3">
                            <div class="form-group col-md-3 pessoa-fisica">
						<label for="nome" class="col-form-label">Nome</label>
						<span id="nome" class="form-control">
						<?php echo htmlspecialchars($funcionario['nome']);  ?>
						</span>
						</div>
						
						<div class="form-group col-md-3 pessoa-fisica">
						<label for="cod_fcerta" class="col-form-label">Código  Pharmacie</label>
						<span id="cod_fcerta" class="form-control">
						<?php echo htmlspecialchars($funcionario['cod_fcerta']);  ?>
						</span>
						</div>

                            <div class="form-group col-md-3 pessoa-fisica">
                                <label for="erro" class="col-form-label">Erro</label>
                                <select name="erro" id="erro" class="form-control">
                                    <option value="" selected disabled>Selecione</option>
                                    <?php
                                    // Consulta SQL para obter os erros
                                    $sql_erros = "SELECT id_erro, nome_erro FROM mapa_erros";
                                    $result_erros = $connectionmysql->query($sql_erros);

                                    if ($result_erros) {
                                        while ($row_erro = $result_erros->fetch_assoc()) {
                                            echo "<option value=\"{$row_erro['id_erro']}\">{$row_erro['nome_erro']}</option>";
                                        }
                                    } else {
                                        echo "Erro na execução da consulta: " . $connectionmysql->error;
                                    }
                                    ?>
                                </select>
                                <input type="hidden" name="id_erro" id="id_erro" value="">
                            </div>
                        </div>

                        <div class="form-row mb-3">
    <div class="form-group col-md-6 pessoa-fisica">
        <label for="obs_erro" class="col-form-label">Observação</label>
        <textarea name="obs_erro" id="obs_erro" class="form-control" placeholder="Campo para Observação" rows="4"></textarea>
    </div>
</div>


                        <input type="hidden" name="id_funcionario" id="id_funcionario" value="<?php echo htmlspecialchars($funcionario['id_funcionario']); ?>">

                        <div class="col-12 text-right">
                            <button type="submit" class="btn btn-primary"><i class="mdi mdi-magnify"></i> Salvar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </div> <!-- end container -->
</div>

		
        
        <!-- end wrapper -->

        <!-- ============================================================== -->
        <!-- End Page content -->
        <!-- ============================================================== -->

        <!-- Footer Start -->
        <?php
            include('../geral/footer.php');  
            ?>
        <!-- end Footer -->

        <?php
        include('../geral/mensagens_modais.php');  
        ?>

        <!-- Vendor js -->
        <script src="../../assets/js/vendor.min.js"></script>

        <!-- knob plugin -->
        <script src="../../assets/libs/jquery-knob/jquery.knob.min.js"></script>
        <!-- App js-->
        <script src="../../assets/js/app.min.js"></script>


<script>
// Adiciona um ouvinte de evento para capturar a seleção e definir o valor do input hidden
document.getElementById('erro').addEventListener('change', function() {
    var selectedOption = this.options[this.selectedIndex];
    document.getElementById('id_erro').value = selectedOption.value;
});
</script>	 
	 
<script>
function goBack() {
    window.history.back();
}
</script>	 

    </body>
</html>

